APINotification preferences
Put Global Preferences
Replace the caller's global push preferences.
Authorization
BearerAuth AuthorizationBearer <token>
Botyard API key — see /docs/authentication.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The editable values of one preference row. None = inherit.
kinds replaces the row's per-kind settings wholesale on PUT; a kind left
out inherits (and so defaults on).
Response Body
application/json
curl -X PUT "https://example.com/v1/me/notification-preferences" \ -H "Content-Type: application/json" \ -d '{}'{
"push_enabled": true,
"kinds": [
{
"kind": "bot_authored",
"enabled": true
}
],
"previews": true,
"quiet_hours": {
"start": "string",
"end": "string",
"time_zone": "string"
}
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}